| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper > Struct Template Reference

`#include <GaudiKernel/GrammarsV2.h>`

Inheritance diagram for Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >:
[legend]

## Classes
struct | Operations

## Public Types
typedef Gaudi::Histo1DDef | ResultT

## Public Member Functions
| Histo1DGrammar ()

## Public Attributes
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > | hist
qi::rule< Iterator, ResultT(), Skipper > | val1
qi::rule< Iterator, ResultT(), Skipper > | val2
qi::rule< Iterator, ResultT(), Skipper > | val3
qi::rule< Iterator, char()> | begin
qi::rule< Iterator, void(char)> | end
StringGrammar< Iterator, Skipper > | title
ph::function< Operations > | op

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >

Definition at line 609 of file GrammarsV2.h.

## Member Typedef Documentation

template<typename Iterator , typename Skipper >

typedef Gaudi::Histo1DDef Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::ResultT

Definition at line 612 of file GrammarsV2.h.

## Constructor & Destructor Documentation

template<typename Iterator , typename Skipper >

Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::Histo1DGrammar | ( |  | ) |
| inline

Definition at line 635 of file GrammarsV2.h.

635 : Histo1DGrammar::base_type(hist) {
636 val1 = title[op(qi::_val, qi::_1)] >> ','
637 >> qi::double_[op(qi::_val, qi::_1, 'l')] >> ','
638 >> qi::double_[op(qi::_val, qi::_1, 'h')]
639 >> -(',' >> qi::int_[op(qi::_val, qi::_1)]);
640 val2 = qi::double_[op(qi::_val, qi::_1, 'l')] >> ','
641 >> qi::double_[op(qi::_val, qi::_1, 'h')] >> ','
642 >> title[op(qi::_val, qi::_1)] >> -(','
643 >> qi::int_[op(qi::_val, qi::_1)]);
644 val3 = qi::double_[op(qi::_val, qi::_1, 'l')] >> ','
645 >> qi::double_[op(qi::_val, qi::_1, 'h')]
646 >> -(',' >> title[op(qi::_val, qi::_1)])
647 >> -(',' >> qi::int_[op(qi::_val, qi::_1)]);
648 begin = enc::char_('[')[qi::_val=']'] | enc::char_('(')[qi::_val=')'];
649 end = enc::char_(qi::_r1);
650 hist = begin[qi::_a = qi::_1] >> (val1 | val2 | val3)[qi::_val=qi::_1]
651 >> end(qi::_a);
652 }
Gaudi::Parsers::Histo1DGrammar::val3
qi::rule< Iterator, ResultT(), Skipper > val3
Definition: GrammarsV2.h:655
Gaudi::Parsers::Histo1DGrammar::title
StringGrammar< Iterator, Skipper > title
Definition: GrammarsV2.h:658
Gaudi::Parsers::Histo1DGrammar::begin
qi::rule< Iterator, char()> begin
Definition: GrammarsV2.h:656
Gaudi::Parsers::Histo1DGrammar::val1
qi::rule< Iterator, ResultT(), Skipper > val1
Definition: GrammarsV2.h:655
Gaudi::Parsers::Histo1DGrammar::hist
qi::rule< Iterator, ResultT(), qi::locals< char >, Skipper > hist
Definition: GrammarsV2.h:654
Gaudi::Parsers::Histo1DGrammar::end
qi::rule< Iterator, void(char)> end
Definition: GrammarsV2.h:657
Gaudi::Parsers::Histo1DGrammar::val2
qi::rule< Iterator, ResultT(), Skipper > val2
Definition: GrammarsV2.h:655
Gaudi::Parsers::Histo1DGrammar::op
ph::function< Operations > op
Definition: GrammarsV2.h:659

## Member Data Documentation

template<typename Iterator , typename Skipper >

qi::rule<Iterator, char()> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::begin

Definition at line 656 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, void(char)> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::end

Definition at line 657 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, ResultT(), qi::locals<char>, Skipper> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::hist

Definition at line 654 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

ph::function<Operations> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::op

Definition at line 659 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

StringGrammar<Iterator, Skipper> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::title

Definition at line 658 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::val1

Definition at line 655 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::val2

Definition at line 655 of file GrammarsV2.h.

template<typename Iterator , typename Skipper >

qi::rule<Iterator, ResultT(), Skipper> Gaudi::Parsers::Histo1DGrammar< Iterator, Skipper >::val3

Definition at line 655 of file GrammarsV2.h.

The documentation for this struct was generated from the following file:

- GaudiKernel/GaudiKernel/GrammarsV2.h